@font-face {
    font-family: "Cormorant Bold";
    src: url("../fonts/CormorantGaramond-Bold.ttf");
    font-weight: bold;
}

@font-face {
    font-family: "Cormorant Variable";
    src: url("../fonts/CormorantGaramond-VariableFont_wght.ttf");
}

@font-face {
    font-family: "Cormorant Italic";
    src: url("../fonts/CormorantGaramond-Italic-VariableFont_wght.ttf");
}

@font-face {
    font-family: "Cabin";
    src: url("../fonts/Cabin-Medium.ttf");
}

.botones-header {
    display: flex;
    flex-direction: row;
    width: 40%;
    border-bottom: 1px solid #eeecec;
    justify-content: end;
    gap: 10px;
    padding-right: 20px;
    margin-top: -40px;
}

.botones-header svg {
    width: 15px;
    height: 15px;
}

.nav-open-btn {
    width: 40%;
    border-bottom: 1px solid #eeecec;
    padding-left: 10px;
    margin-top: -40px;
}

.header .container {
    max-width: 1400px;
}

.logo-header {
    height: 80px;
    display: flex;
    justify-content: end;
}

.social-contenido {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    border-bottom: 1px solid #eeecec;
    margin-inline: auto;
    padding-bottom: 10px;
    padding-inline: 10px;
    margin-top: auto;
    color: #eeecec;
    font-size: 0.9rem;
    line-height: 1.2;
}

.nabvar-link {
    font-family: "Cabin", sans-serif;
}

.fondo-claro .botones-header {
    border-bottom: 1px solid #160b01;
}

.fondo-claro .cls-1 {
    fill: #160b01;
}

.fondo-claro .nav-open-btn {
    border-bottom: 1px solid #160b01;
    color: #160b01;
}

/** INDEX **/
.hero-index {
    width: 100%;
    height: 100vh;
    margin-top: -10px;
    position: relative;
}

.fondo-hero {
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin-inline: auto;
}

.fondo-hero img {
    width: 102%;
    height: 100%;
    margin-inline: auto;
    object-fit: cover;
    filter: brightness(0.8);
}

.contenido-hero {
    height: 45vh;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    text-align: center;
    border-bottom: 1px solid white;
}

.contenido-hero p {
    font-family: "Cormorant Variable", sans-serif;
    line-height: 1.2;
    font-style: italic;
}

.contenido-hero p b {
    font-family: "Cormorant Bold", sans-serif;
    font-style: normal;
}

.contenido-hero a {
    margin-top: 10px;
    font-size: 1rem;
    background-color: #eeecec;
    border-radius: 20px;
    color: #160b01;
    width: 80px;
    margin-inline: auto;
    text-align: center;
}

.fondo-transformamos {
    background-color: #160b01;
    width: 100%;
    height: 600px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.fondo-transformamos-dos {
    background-color: #160b01;
    width: 100%;
    height: 650px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.transformar-seccion {
    background-image: url("../images/IMAGENES/fondo_magnolia@2x.png");
    border-radius: 20px;
    width: 98%;
    height: 95%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.descripcion-transformar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    line-height: 1.2;
    gap: 20px;
}

.descripcion-transformar p {
    font-family: "Cormorant bold", sans-serif;
    font-weight: 800;
    font-size: 1.9rem;
    width: 500px;
}

.descripcion-transformar img {
    width: 30px;
}

.descripcion-transformar a {
    background-color: #160b01;
    color: #eeecec;
    font-family: "Cabin", sans-serif;
    font-size: 1.2rem;
    padding-inline: 15px;
    padding-block: 5px;
    border-radius: 15px;
    transition: all 0.3s ease-in-out;
}

.descripcion-transformar a:hover {
    transform: translateY(-5px);
}

.icono-transformar {
    height: 200px;
    margin-top: 130px;
    margin-bottom: -300px;
}

.icono-transformar img {
    width: 200px;
}

.cuadro-uno {
    border-radius: 20px;
    overflow: hidden;
    width: 50%;
    min-width: 400px;
    height: 95%;
}

.cuadro-uno img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.cuadro-dos {
    border-radius: 20px;
    overflow: hidden;
    width: 50%;
    min-width: 400px;
    height: 95%;
    position: relative;
}

.cuadro-dos img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.seccion-cuadros {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.contenido-cuadro-dos {
    position: absolute;
    display: flex;
    flex-direction: column;
    height: 70%;
    left: 50%;
    transform: translateX(-50%);
    align-items: center;
    justify-content: space-between;
    top: 15%;
}

.contenido-cuadro-dos img {
    width: 40px;
    height: 60px;
    object-fit: contain;
}

.contenido-cuadro-dos p {
    text-align: center;
    width: 300px;
    line-height: 1.2;
    font-size: 2.3rem;
    font-weight: 800;
    font-family: "Cormorant Variable", sans-serif;
    color: #eeecec;
}

.contenido-cuadro-dos p b {
    font-style: italic;
    font-size: 2.3rem;
}

.texto-cuadro-dos {
    font-family: "Cabin", sans-serif;
    font-size: 1.2rem;
    color: #eeecec;
    word-spacing: 0.5rem;
}

.contenedor-cards {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 20px;
    justify-content: center;
    background-color: #e4e1df;
    padding-block: 40px;
    margin-bottom: 20px;
}

.card-cliente {
    background-color: #eeecec;
    display: flex;
    flex-direction: row;
    width: 420px;
    min-width: 420px;
    height: 200px;
    border-radius: 30px;
    padding-block: 20px;
    padding-inline: 20px;
    justify-content: space-between;
}

.imagen-cliente {
    overflow: hidden;
    width: 35%;
    border-bottom-left-radius: 20px;
    border-top-left-radius: 20px;
}

.informacion-cliente {
    width: 60%;
    height: 100%;
}

.imagen-cliente img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.informacion-cliente p {
    width: 90%;
    text-align: justify;
    font-family: "Cabin", sans-serif;
    font-size: 1.2rem;
    line-height: 1.2;
    margin-bottom: 10px;
}

.informacion-cliente h4 {
    font-family: "Cormorant Bold", sans-serif;
    font-weight: 800;
    font-style: italic;
    font-size: 2rem;
    margin-bottom: 5px;
}

.datos-opinion {
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.estrellas-opinion {
    display: flex;
    flex-direction: row;
}

.estrellas-opinion img {
    width: 15px;
    height: 15px;
}

.fondo-nuestros-productos {
    background-color: #e4e1df;
    padding-block: 50px;
}

.titulo-nuestros-productos {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
    font-family: "Cabin", sans-serif;
    color: #373c36;
    font-size: 2rem;
}

.titulo-nuestros-productos h2 {
    font-weight: 400;
}

.linea-nuestros-productos {
    width: 60%;
    height: 5px;
    border-bottom: 2px solid #373c36;
}

.boton-nuestros-productos {
    background-color: #373c36;
    font-family: "Cabin", sans-serif;
    padding-block: 5px;
    border-radius: 20px;
    width: 200px;
    margin-inline: auto;
    color: #eeecec;
    text-align: center;
    font-size: 1.3rem;
    transition: all 0.3s ease-in-out;
}

.boton-nuestros-productos:hover {
    background-color: #232522;
    transform: scale(1.02);
}

.container-nuestros {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding-block: 50px;
}

.container-nuestros img {
    width: 15px;
}

.slide-nuestros {
    width: 270px;
    height: 350px;
    border-radius: 20px;
    overflow: hidden;
}

.imagen-nuestros {
    width: 100%;
    height: 80%;
    border-radius: 20px;
    overflow: hidden;
}

.imagen-nuestros img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.texto-nuestros {
    font-family: "Cabin", sans-serif;
    padding: 10px;
    font-size: 1.3rem;
    line-height: 1.2;
    color: #8a8c7c;
}

.texto-nuestros h3 {
    color: #373c36;
}

.texto-nuestros p {
    font-weight: 600;
}

.texto-nuestros b {
    font-weight: 400;
}

.container-slider-nuestros {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: end;
    min-width: 1000px;
}

.flecha-slider-nuestros-prev,
.flecha-slider-nuestros-next {
    margin-top: -50px;
    transition: all 0.5s ease-in-out;
}

.flecha-slider-nuestros-next:hover,
.flecha-slider-nuestros-prev:hover {
    cursor: pointer;
    transform: scale(1.2);
}

.slider-viewport-nuestros {
    overflow: hidden;
    width: 100%;
}

.container-slider-nuestros {
    display: flex;
    gap: 95px;
    transition: transform 0.45s ease;
    will-change: transform;
}

.slide-nuestros {
    flex: 0 0 270px;
    height: 350px;
    border-radius: 20px;
    overflow: hidden;
    transition: all 0.5s ease-in-out;
}
.slide-nuestros:hover {
    transform: translateY(-10px);
    background-color: #d3d3d3;
}

.slider-viewport-nuestros {
    padding-top: 20px;
}

@media (max-width: 768px) {
    .slider-viewport-nuestros {
        max-width: 270px;
    }
}

/** CONTACTO **/
.fondo-formulario {
    background-color: #e5dfd6;
    width: 100%;
    padding-block: 150px 100px;
}

.secciones-formulario {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
    width: 90%;
    margin-inline: auto;
}

.tus-comentarios {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.contenedor-formulario {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.tus-comentarios h4 {
    width: 300px;
    font-family: "Cormorant variable", sans-serif;
    font-size: 2.6rem;
    line-height: 1.2;
    color: #3c3d3b;
    font-weight: 600;
}

.tus-comentarios h4 b {
    font-weight: 1000;
}

.tus-comentarios p {
    font-family: "Cormorant variable", sans-serif;
    font-style: italic;
    font-size: 1.2rem;
    font-weight: 800;
    color: #3c3d3b;
}

.tus-comentarios img {
    width: 30px;
    margin-bottom: 20px;
}

.formulario-contacto {
    border: 1px solid #8a8c7c;
    width: 400px;
    height: 380px;
    padding-inline: 30px;
    padding-block: 30px;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    color: #8a8c7c;
    font-family: "Cabin", sans-serif;
}

.formulario-contacto label {
    font-size: 1.2rem;
    margin-left: 10px;
    margin-top: 5px;
}

.formulario-contacto input {
    border: 1px solid #8a8c7c;
    border-radius: 5px;
    padding-inline: 10px;
    font-weight: 400;
    font-size: 1.4rem;
    height: 35px;
}

.formulario-contacto button {
    margin-top: 10px;
    font-family: "Cabin", sans-serif;
    color: #eeecec;
    background-color: #8a8c7c;
    width: 100px;
    border-radius: 10px;
    margin-inline: auto;
    transition: all 0.3s ease;
}

.formulario-contacto button:hover {
    transform: scale(1.05);
}

.formulario-contacto textarea {
    border: 1px solid #8a8c7c;
    background-color: transparent;
    border-radius: 5px;
    padding-inline: 10px;
    font-weight: 400;
    font-size: 1.4rem;
    height: 80px;
    resize: none;
    font-family: "Cabin", sans-serif;
}

.formulario-contacto textarea:focus {
    outline: none;
}

.redes-contacto {
    padding-block: 30px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
    width: 100%;
    margin-inline: auto;
}

.informacion-redes-contacto,
.imagen-redes-contacto {
    width: 50%;
    position: relative;
    height: auto;
}

.informacion-redes-contacto img,
.imagen-redes-contacto img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.siguenos-en {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    color: #3c3d3b;
}

.siguenos-en p {
    font-family: "Cormorant Bold", sans-serif;
    font-size: 2.5rem;
    font-weight: 1000;
    line-height: 1.1;
}

.siguenos-en p b {
    font-family: "Cormorant Italic", sans-serif;
    font-style: italic;
}

.siguenos-en img {
    margin-top: 10px;
    width: auto;
    height: 20px;
    object-fit: contain;
}

.icono-redes {
    position: absolute;
    top: 90%;
    left: 50%;
    transform: translateX(-50%);
}

.icono-redes img {
    width: 30px;
    height: auto;
    object-fit: contain;
}

/** NOSOTROS **/
.contenido-hero-nosotros {
    position: absolute;
    color: #eeecec;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.contenido-hero-nosotros img {
    width: 30px;
    height: auto;
    object-fit: contain;
}

.contenido-hero-nosotros h3 {
    font-family: "Cormorant Variable", sans-serif;
    font-size: 2.8rem;
    width: 400px;
    line-height: 1.2;
    margin-top: 10px;
}

.contenido-hero-nosotros p {
    font-family: "Cabin", sans-serif;
    font-size: 1.2rem;
    font-style: italic;
    font-weight: 600;
    margin-top: 5px;
}

.icono-transformar-nosotros {
    width: 200px;
    height: auto;
}

.icono-transformar-nosotros img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.fondo-sobre-nosotros {
    background-color: #e5dfd6;
    padding-block: 50px;
}

.titulo-sobre-nosotros {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
    align-items: center;
    color: #3c3d3b;
}

.linea-divisoria-nosotros {
    border-bottom: 1px solid #3c3d3b;
    width: 70%;
}

.titulo-sobre-nosotros h2 {
    font-family: "Cabin", sans-serif;
    font-size: 2.5rem;
    font-weight: 500;
    font-style: italic;
}

.titulo-sobre-nosotros h3 {
    font-family: "Cormorant bold", sans-serif;
    font-size: 3rem;
    font-weight: 800;
}

.elementos-inferiores-nosotros {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.icono-elementos img {
    width: 30px;
    height: auto;
    object-fit: contain;
}

.logo-elementos img {
    width: 250px;
    object-fit: contain;
}

.texto-sobre-nosotros {
    width: 450px;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
    font-family: "Cabin", sans-serif;
}

.texto-sobre-nosotros h4 {
    background-color: #8a8c7c;
    color: #eeecec;
    font-family: "Cormorant Variable", sans-serif;
    padding-inline: 15px;
    font-size: 2rem;
    border-radius: 20px;
}

.texto-sobre-nosotros p {
    width: 400px;
    line-height: 1.4;
    font-size: 1.4rem;
    padding-block: 20px;
    color: #3c3d3b;
}

.linea-inferior-texto {
    width: 200px;
    border-bottom: 1px solid #3c3d3b;
}

.division-entre-secciones {
    width: auto;
    height: 250px;
    border-left: 1px solid #3c3d3b;
}

.contenido-sobre-nosotros {
    margin-block: 50px;
    width: 90%;
    gap: 50px;
    margin-inline: auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.creamos-textiles {
    width: 98%;
    margin-inline: auto;
    padding-block: 20px;
    height: 400px;
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.logo-creamos-textiles {
    width: 30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #997c61;
    border-radius: 20px;
}

.logo-creamos-textiles img {
    width: 200px;
    height: auto;
    object-fit: contain;
}

.logo-creamos-textiles p {
    color: #eeecec;
    font-size: 0.8rem;
    font-family: "Cabin", sans-serif;
    word-spacing: 0.5rem;
    margin-top: 20px;
}

.contenido-creamos-textiles {
    width: 70%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #e5dfd6;
    border-radius: 20px;
    gap: 20px;
}

.contenido-creamos-textiles p {
    font-family: "Cormorant Variable", sans-serif;
    color: #3c3d3b;
    font-weight: 600;
    font-size: 2rem;
    line-height: 1.2;
    width: 300px;
    text-align: center;
}

.contenido-creamos-textiles p b {
    font-size: 2.2rem;
}

.contenido-creamos-textiles span {
    font-family: "Cabin", sans-serif;
    color: #3c3d3b;
    font-style: italic;
    font-weight: 800;
    font-size: 1rem;
    margin-top: -10px;
}

.contenido-creamos-textiles img {
    width: 25px;
    height: auto;
    object-fit: contain;
}

/** PRODUCTOS **/
.producto-hero {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    margin-inline: auto;
}

.producto-hero img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin-inline: auto;
    object-fit: cover;
    filter: brightness(0.8);
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.producto-hero img.active {
    opacity: 1;
}

.contenido-hero-producto {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #eeecec;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.contenido-hero-producto h2 {
    font-family: "Cormorant Variable", sans-serif;
    font-size: 3rem;
    width: 350px;
    text-align: center;
    line-height: 1.2;
    font-weight: 800;
    margin-bottom: 10px;
}

.contenido-hero-producto img {
    width: 30px;
    height: auto;
    object-fit: contain;
}

.puntos-slider-producto {
    position: absolute;
    bottom: 60px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 6px;
    z-index: 20;
}

.punto {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: #eeececa6;
    cursor: pointer;
    transition: all 0.3s ease;
}

.punto.activo {
    background-color: #eeecec;
}

.punto:hover {
    background-color: #eeecec;
}

.fondo-catalogo {
    width: 100%;
    height: auto;
    padding-block: 40px;
    background-image: url("../images/IMAGENES/fondo.png");
    background-repeat: no-repeat;
    background-size: cover;
}

.filtros-catalogo {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.filtros-catalogo img {
    width: 15px;
    transition: all 0.3s ease;
}

.filtro.open .filtro-producto img {
    transform: rotate(180deg);
}

.filtro-producto {
    position: relative;
    z-index: 2;

    width: 130px;
    height: 40px;
    padding-inline: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 20px;
    font-family: "Cabin", sans-serif;
    border: 1px solid #160b01;
    background: #e5dfd6;
    cursor: pointer;
    transition: border-radius 0.3s ease;
}

.filtro.open .filtro-producto {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom: none;
}

.filtro-producto p {
    font-weight: 400;
}

.filtro {
    position: relative;
    z-index: 10;
}

.filtro.open {
    z-index: 100;
}

.filtro-menu {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;

    background: #e5dfd6;
    border: 1px solid #160b01;
    border-top: none;

    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;

    overflow: hidden;

    max-height: 0;
    opacity: 0;
    transform: translateY(-10px);
    pointer-events: none;

    z-index: 999;

    transition:
        max-height 0.4s ease,
        opacity 0.3s ease,
        transform 0.3s ease;
}

.filtro.open .filtro-menu {
    max-height: 300px;
    opacity: 1;
    transform: translateY(0);
    overflow-y: auto;
    pointer-events: auto;
}

.filtro-menu ul {
    list-style: none;
    padding: 0px;
    margin: 0;
}

.filtro-menu li {
    padding: 8px 10px;
    cursor: pointer;
    border-radius: 0px;
    font-size: 1.2rem;
    transition: all 0.3s ease;
}

.filtro-menu li.seleccionado {
    background: #8a8c7c;
}

.filtro-menu li:hover {
    background: #8a8c7c;
}

.catalogo-productos {
    margin-block: 30px;
}

.contenedor-catalogo {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.producto-card {
    margin-inline: auto;
    padding: 10px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 350px;
    height: 350px;
    background-color: #ffffff;
    border-radius: 20px;
    transition: all 0.3s ease;
}

.producto-card:hover {
    transform: scale(1.02);
}

.imagen-fondo-producto {
    width: 100%;
    height: 100%;
    margin-inline: auto;
}

.producto-card img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.imagen-sin-fondo {
    width: 85%;
}

.elementos-superiores-producto {
    position: absolute;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 80%;
    left: 10%;
    top: 7%;
}

.informacion-producto-card {
    left: 50%;
    transform: translateX(-50%);
    width: 85%;
    top: 78%;
    position: absolute;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    line-height: 1.1;
    background-color: #e4e1df;
    padding-inline: 25px;
    padding-block: 10px;
    border-radius: 15px;
}

.texto-producto-card {
    font-family: "Cabin", sans-serif;
    font-size: 1.1rem;
    color: #373c36;
}

.texto-producto-card p {
    font-size: 1rem;
}

.medidas-card {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    color: #3c3d3b;
}

.medidas-card span {
    font-size: 1rem;
}

.precio-producto-card {
    font-family: "Cabin", sans-serif;
}

.colores-producto-card {
    display: flex;
    flex-direction: row;
}

.colores-producto-card img {
    width: 35px;
    height: 35px;
    margin-left: -15px;
}

.tipo-producto-card {
    background-color: #8a8c7c;
    color: #eeecec;
    padding-inline: 15px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: "Cabin", sans-serif;
    font-size: 1.3rem;
}

.sin-colores {
    opacity: 0;
}

.paginacion {
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.paginacion img {
    width: 8px;
}

.boton-delante {
    background-color: #ffffff;
    width: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-block: 10px;
    border-bottom-left-radius: 20px;
    border-top-left-radius: 20px;
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
}

.boton-detras {
    background-color: #ffffff;
    width: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-block: 10px;
    border-bottom-right-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
}

/** DESCRIPCION PRODUCTO **/
.fondo-descripcion {
    width: 100%;
    padding-block: 100px;
    background-image: url("../images/IMAGENES/fondo.png");
    background-size: cover;
}

.imagenes-vista-producto {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding-block: 20px;
    gap: 1%;
}

.imagenes-vista-producto img {
    width: 550px;
    height: 550px;
    object-fit: cover;
    border-radius: 20px;
}

.contenido-descripcion-pagina {
    margin-top: 80px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 80px;
    align-items: center;
}

.contenedor-imagen-producto-pagina {
    position: relative;
    width: 450px;
    height: 450px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffffff;
    border-radius: 10px;
}

.contenido-imagen-pagina {
    position: absolute;
    font-family: "Cabin", sans-serif;
    color: #eeecec;
    background-color: #8a8c7c;
    padding-inline: 20px;
    padding-block: 5px;
    font-size: 1.4rem;
    border-radius: 10px;
    top: 10%;
    left: 10%;
}

.contenedor-imagen-producto-pagina img {
    width: 90%;
    height: 90%;
    object-fit: contain;
}

.texto-producto-pagina {
    width: 400px;
    height: auto;
    font-family: "Cabin", sans-serif;
    color: #3c3d3b;
}

.colores-pagina {
    margin-block: 30px;
    display: flex;
    flex-direction: row;
    gap: 6px;
}

.colores-pagina img,
.colores-pagina span {
    width: 30px;
    height: 30px;
    transition: all 0.3s ease;
}

.colores-pagina img:hover,
.colores-pagina span:hover {
    transform: scale(1.05);
}

.titulo-producto-pagina {
    line-height: 1.2;
}

.titulo-producto-pagina h3 {
    font-size: 3rem;
    font-weight: 500;
}

.titulo-producto-pagina h4 {
    font-size: 2rem;
    font-weight: 500;
    font-style: italic;
}

.titulo-producto-pagina p {
    color: #8a8c7c;
    padding-block: 10px;
}

.precio-pagina {
    margin-block: 20px;
}

.precio-pagina p {
    line-height: 1.2;
    border: 1px solid #373c36;
    font-size: 2.2rem;
    width: 100px;
    padding-inline: auto;
    text-align: center;
    border-radius: 20px;
}

.texto-pagina-contenido h5 {
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 2;
    font-style: italic;
}

.texto-pagina-contenido p {
    font-size: 1.4rem;
    margin-block: 10px;
}

.texto-pagina-contenido a {
    background-color: #8a8c7c;
    color: #eeecec;
    width: 110px;
    font-size: 1.2rem;
    text-align: center;
    padding-block: 5px;
    border-radius: 15px;
    transition: all 0.3s ease;
}

.texto-pagina-contenido a:hover {
    transform: scale(1.05);
}
/** FOOTER **/

.contenido-footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    padding-block: 50px 20px;
}

.logo-footer img {
    width: 400px;
}

.redes-footer img {
    width: 15px;
}

.elementos-footer {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.links-footer {
    width: 200px;
    font-size: 1rem;
    font-weight: 500;
}

.powered-by {
    font-size: 1.2rem;
    width: 200px;
    display: flex;
    flex-direction: row;
    align-items: end;
    justify-content: center;
}

.redes-footer {
    width: 200px;
    display: flex;
    flex-direction: row;
    gap: 5px;
    justify-content: end;
    align-items: center;
}

/** ICONO WHATSAPP **/
.whatsapp-float {
    position: fixed;
    bottom: 100px;
    right: 20px;
    width: 60px;
    height: 60px;
    z-index: 9999;

    opacity: 0;
    pointer-events: none;
    transform: scale(0.8);
    transition:
        opacity 0.3s ease,
        transform 0.3s ease;
}

.whatsapp-float.visible {
    opacity: 1;
    pointer-events: auto;
    transform: scale(1);
}

.whatsapp-float img {
    width: 100%;
    height: 100%;
    display: block;
}

@media (min-width: 300px) and (max-width: 399px) {
    .navbar {
        left: -300px;
        max-width: 90%;
        height: 90%;
        display: flex;
        flex-direction: column;
        background-color: var(--rich-black-fogra-29);
        z-index: 3;
        transition: 0.25s var(--cubic-in);
        visibility: hidden;
    }

    .navbar,
    .overlay {
        position: fixed;
        top: 0;
        width: 90%;
    }

    .overlay {
        left: -100%;
        background-color: rgba(0, 0, 0, 0.3);
        backdrop-filter: blur(7px);
        -webkit-backdrop-filter: blur(8px);
        visibility: hidden;
        transition: var(--transition-2);
        z-index: 2;
    }

    .overlay.active {
        transform: translateX(110%);
        visibility: visible;
    }

    /** INDEX **/
    .logo-header img {
        width: 150px;
        padding-inline: 10px;
    }

    .slider-viewport-nuestros {
        width: 220px;
        margin-inline: auto;
    }

    .slide-nuestros {
        flex: 0 0 220px;
        height: 380px;
        border-radius: 20px;
        overflow: hidden;
    }

    .container-slider-nuestros {
        gap: 20px;
    }

    .descripcion-transformar p {
        width: 280px;
        font-size: 1.5rem;
    }

    .titulo-nuestros-productos h2 {
        font-size: 2.5rem;
    }

    .seccion-cuadros {
        display: flex;
        flex-direction: column;
    }

    .transformar-seccion {
        width: 95%;
    }

    .fondo-transformamos-dos {
        height: auto;
        padding-block: 30px;
    }

    .cuadro-dos,
    .cuadro-uno {
        width: 98%;
        height: 500px;
        min-width: 280px;
    }

    .contenedor-cards {
        flex-direction: column;
        align-items: center;
    }

    .card-cliente {
        width: 95%;
        min-width: 280px;
    }

    .informacion-cliente p {
        font-size: 1rem;
    }

    /** CONTACTO **/
    .secciones-formulario {
        width: 95%;
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .formulario-contacto {
        width: 100%;
        margin-inline: auto;
    }

    .redes-contacto {
        flex-direction: column;
        gap: 20px;
    }

    .informacion-redes-contacto,
    .imagen-redes-contacto {
        width: 100%;
    }

    .icono-redes {
        top: 80%;
    }

    /** NOSOTROS **/
    .contenido-hero-nosotros h3 {
        width: 280px;
    }

    .titulo-sobre-nosotros h2 {
        font-size: 2rem;
    }

    .linea-divisoria-nosotros {
        width: 50%;
    }

    .contenido-sobre-nosotros {
        flex-direction: column;
        gap: 30px;
    }

    .division-entre-secciones {
        width: 100%;
        height: 10px;
        border-left: none;
        border-bottom: 2px solid #3c3d3b;
    }

    .texto-sobre-nosotros {
        width: 90%;
        height: 350px;
    }

    .texto-sobre-nosotros p {
        width: 100%;
    }

    .creamos-textiles {
        flex-direction: column;
        height: auto;
    }

    .logo-creamos-textiles {
        width: 100%;
        height: 400px;
    }

    .contenido-creamos-textiles {
        width: 100%;
        height: 400px;
    }

    /** PRODUCTOS **/
    .producto-card {
        width: 280px;
        height: 280px;
    }

    .contenedor-catalogo {
        grid-template-columns: repeat(1, 1fr);
    }

    .texto-producto-card h3 {
        font-size: 1rem;
    }

    .informacion-producto-card {
        top: 75%;
    }

    .imagen-sin-fondo {
        width: 70%;
    }

    .filtros-catalogo {
        flex-direction: column;
        gap: 12px;
    }

    .filtro {
        width: 100%;
    }

    .filtro-producto {
        width: 100%;
        height: 44px;
    }

    .filtro-menu {
        width: 100%;
    }

    .contenido-hero-producto h2 {
        width: 100%;
    }

    /** DESCRIPCION PRODUCTO **/
    .contenido-descripcion-pagina {
        flex-direction: column;
    }

    .contenedor-imagen-producto-pagina {
        width: 290px;
        height: 290px;
    }

    .texto-producto-pagina {
        width: 290px;
    }

    .imagenes-vista-producto {
        flex-direction: column;
        gap: 20px;
        justify-content: center;
        align-items: center;
    }

    .imagenes-vista-producto img {
        width: 290px;
        height: 290px;
    }

    /** FOOTER **/
    .logo-footer img {
        width: 250px;
    }

    .powered-by {
        font-size: 0.8rem;
        width: 150px;
    }

    .links-footer {
        width: 150px;
        font-size: 0.8rem;
    }

    .redes-footer {
        width: 150px;
    }
}

@media (min-width: 400px) and (max-width: 767px) {
    .navbar {
        left: -300px;
        max-width: 90%;
        height: 90%;
        display: flex;
        flex-direction: column;
        background-color: var(--rich-black-fogra-29);
        z-index: 3;
        transition: 0.25s var(--cubic-in);
        visibility: hidden;
    }

    .navbar,
    .overlay {
        position: fixed;
        top: 0;
        width: 90%;
    }

    .overlay {
        left: -100%;
        background-color: rgba(0, 0, 0, 0.3);
        backdrop-filter: blur(7px);
        -webkit-backdrop-filter: blur(8px);
        visibility: hidden;
        transition: var(--transition-2);
        z-index: 2;
    }

    .overlay.active {
        transform: translateX(110%);
        visibility: visible;
    }

    /** INDEX **/

    .logo-header img {
        width: 220px;
        padding-inline: 10px;
    }

    .slider-viewport-nuestros {
        width: 270px;
        margin-inline: auto;
    }

    .container-slider-nuestros {
        gap: 20px;
    }

    .descripcion-transformar p {
        width: 280px;
        font-size: 1.5rem;
    }

    .titulo-nuestros-productos h2 {
        font-size: 2.5rem;
    }

    .seccion-cuadros {
        display: flex;
        flex-direction: column;
    }

    .transformar-seccion {
        width: 95%;
    }

    .fondo-transformamos-dos {
        height: auto;
        padding-block: 30px;
    }

    .cuadro-dos,
    .cuadro-uno {
        width: 98%;
        height: 500px;
        min-width: 280px;
    }

    .contenedor-cards {
        flex-direction: column;
        align-items: center;
    }

    .card-cliente {
        width: 95%;
        max-width: 420px;
        min-width: 280px;
    }

    .informacion-cliente p {
        font-size: 1rem;
    }

    /** CONTACTO **/
    .secciones-formulario {
        width: 95%;
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .formulario-contacto {
        width: 100%;
        max-width: 400px;
        margin-inline: auto;
    }

    .redes-contacto {
        flex-direction: column;
        gap: 20px;
    }

    .informacion-redes-contacto,
    .imagen-redes-contacto {
        width: 100%;
        max-width: 400px;
        margin-inline: auto;
    }

    .icono-redes {
        top: 80%;
    }

    /** NOSOTROS **/
    .contenido-hero-nosotros h3 {
        width: 280px;
    }

    .titulo-sobre-nosotros h2 {
        font-size: 2rem;
    }

    .linea-divisoria-nosotros {
        width: 50%;
    }

    .contenido-sobre-nosotros {
        flex-direction: column;
        gap: 30px;
    }

    .division-entre-secciones {
        width: 100%;
        height: 10px;
        border-left: none;
        border-bottom: 2px solid #3c3d3b;
    }

    .texto-sobre-nosotros {
        width: 90%;
        max-width: 400px;
        height: 350px;
    }

    .texto-sobre-nosotros p {
        width: 100%;
    }

    .creamos-textiles {
        flex-direction: column;
        height: auto;
    }

    .logo-creamos-textiles {
        width: 100%;
        height: 400px;
    }

    .contenido-creamos-textiles {
        width: 100%;
        height: 400px;
    }

    /** PRODUCTOS **/
    .contenedor-catalogo {
        grid-template-columns: repeat(1, 1fr);
    }

    .filtros-catalogo {
        flex-direction: column;
        gap: 12px;
    }

    .filtro {
        width: 100%;
    }

    .filtro-producto {
        width: 100%;
        height: 44px;
    }

    .filtro-menu {
        width: 100%;
    }

    .contenido-hero-producto h2 {
        width: 100%;
    }

    /** DESCRIPCION PRODUCTO **/
    .contenido-descripcion-pagina {
        flex-direction: column;
    }

    .contenedor-imagen-producto-pagina {
        width: 350px;
        height: 350px;
    }

    .texto-producto-pagina {
        width: 350px;
    }

    .imagenes-vista-producto {
        flex-direction: column;
        gap: 20px;
        justify-content: center;
        align-items: center;
    }

    .imagenes-vista-producto img {
        width: 350px;
        height: 350px;
    }

    /** FOOTER **/
    .logo-footer img {
        width: 250px;
    }

    .powered-by {
        font-size: 0.8rem;
        width: 150px;
    }

    .links-footer {
        width: 150px;
        font-size: 0.8rem;
    }

    .redes-footer {
        width: 150px;
    }
}

@media (min-width: 768px) and (max-width: 1199px) {
    .navbar {
        left: -300px;
        max-width: 65%;
        height: 90%;
        display: flex;
        flex-direction: column;
        background-color: var(--rich-black-fogra-29);
        z-index: 3;
        transition: 0.25s var(--cubic-in);
        visibility: hidden;
    }

    .navbar,
    .overlay {
        position: fixed;
        top: 0;
        width: 70%;
    }

    .overlay {
        left: -100%;
        background-color: rgba(0, 0, 0, 0.3);
        backdrop-filter: blur(7px);
        -webkit-backdrop-filter: blur(8px);
        visibility: hidden;
        transition: var(--transition-2);
        z-index: 2;
    }

    .overlay.active {
        transform: translateX(140%);
        visibility: visible;
    }

    /** INDEX **/
    .slider-viewport-nuestros {
        width: 635px;
    }

    .container-slider-nuestros {
        gap: 95px;
    }

    .contenedor-cards {
        flex-direction: column;
        align-items: center;
    }

    .cuadro-uno,
    .cuadro-dos {
        min-width: 350px;
    }

    .card-cliente {
        width: 95%;
        max-width: 420px;
        min-width: 280px;
    }

    .informacion-cliente p {
        font-size: 1rem;
    }

    /** PRODUCTOS **/
    .contenedor-catalogo {
        grid-template-columns: repeat(2, 1fr);
    }

    /** CONTACTO **/
    .secciones-formulario {
        width: 95%;
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .formulario-contacto {
        width: 100%;
        max-width: 400px;
        margin-inline: auto;
    }

    .icono-redes {
        top: 80%;
    }

    /** DESCRIPCION PRODUCTO **/
    .contenido-descripcion-pagina {
        gap: 50px;
    }

    .contenedor-imagen-producto-pagina {
        width: 350px;
        height: 350px;
    }

    .texto-producto-pagina {
        width: 300px;
    }

    .imagenes-vista-producto img {
        width: 350px;
        height: 350px;
    }
}

@media (min-width: 1200px) {
    .slider-viewport-nuestros {
        width: 1000px;
    }

    .container-slider-nuestros {
        gap: 95px;
    }
}
